# Documentación de pyBCRAdata

Esta carpeta contiene la documentación completa de pyBCRAdata.

## Estructura

- **`/guides`** - Guías de usuario y tutoriales
  - [Instalación y configuración](guides/installation.md)
  - [Datos Monetarios](guides/monetary_data.md)
  - [Datos de Divisas](guides/currency_data.md)
  - [Información de Deudores](guides/debtors_data.md)

- **`/api`** - Referencia detallada de la API
  - [BCRAclient](api/client.md)
  - [Datos Monetarios](api/monetary.md)
  - [Datos de Divisas](api/currency.md)
  - [Información de Deudores](api/debtors.md)

- **`/examples`** - Ejemplos prácticos
  - [Análisis de Datos Monetarios](examples/monetary_analysis.md)
  - [Series Temporales de Divisas](examples/currency_timeseries.md)
  - [Consulta de Deudores](examples/debtors_queries.md)

---

# 🌐 pyBCRAdata Documentation

This folder contains the complete documentation for pyBCRAdata.

## Structure

- **`/guides`** - User guides and tutorials
  - [Installation and setup](guides/installation.md)
  - [Monetary Data](guides/monetary_data.md)
  - [Currency Data](guides/currency_data.md)
  - [Debtors Information](guides/debtors_data.md)

- **`/api`** - Detailed API reference
  - [BCRAclient](api/client.md)
  - [Monetary Data](api/monetary.md)
  - [Currency Data](api/currency.md)
  - [Debtors Information](api/debtors.md)

- **`/examples`** - Practical examples
  - [Monetary Data Analysis](examples/monetary_analysis.md)
  - [Currency Time Series](examples/currency_timeseries.md)
  - [Debtors Queries](examples/debtors_queries.md)
